public static final class InstanceGroupManagersListPerInstanceConfigsResp.Builder extends GeneratedMessageV3.Builder<InstanceGroupManagersListPerInstanceConfigsResp.Builder> implements InstanceGroupManagersListPerInstanceConfigsRespOrBuilder
Protobuf type google.cloud.compute.v1.InstanceGroupManagersListPerInstanceConfigsResp
Inherited Members
com.google.protobuf.GeneratedMessageV3.Builder.getUnknownFieldSetBuilder()
com.google.protobuf.GeneratedMessageV3.Builder.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessageV3.Builder.internalGetMutableMapFieldReflection(int)
com.google.protobuf.GeneratedMessageV3.Builder.mergeUnknownLengthDelimitedField(int,com.google.protobuf.ByteString)
com.google.protobuf.GeneratedMessageV3.Builder.mergeUnknownVarintField(int,int)
com.google.protobuf.GeneratedMessageV3.Builder.parseUnknownField(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite,int)
com.google.protobuf.GeneratedMessageV3.Builder.setUnknownFieldSetBuilder(com.google.protobuf.UnknownFieldSet.Builder)
Static Methods
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
Methods
addAllItems(Iterable<? extends PerInstanceConfig> values)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addAllItems(Iterable<? extends PerInstanceConfig> values)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
| Parameter |
| Name |
Description |
values |
Iterable<? extends com.google.cloud.compute.v1.PerInstanceConfig>
|
addItems(PerInstanceConfig value)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addItems(PerInstanceConfig value)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
addItems(PerInstanceConfig.Builder builderForValue)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addItems(PerInstanceConfig.Builder builderForValue)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
addItems(int index, PerInstanceConfig value)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addItems(int index, PerInstanceConfig value)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
addItems(int index, PerInstanceConfig.Builder builderForValue)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addItems(int index, PerInstanceConfig.Builder builderForValue)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
addItemsBuilder()
public PerInstanceConfig.Builder addItemsBuilder()
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
addItemsBuilder(int index)
public PerInstanceConfig.Builder addItemsBuilder(int index)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
| Parameter |
| Name |
Description |
index |
int
|
addRepeatedField(Descriptors.FieldDescriptor field, Object value)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Overrides
build()
public InstanceGroupManagersListPerInstanceConfigsResp build()
buildPartial()
public InstanceGroupManagersListPerInstanceConfigsResp buildPartial()
clear()
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clear()
Overrides
clearField(Descriptors.FieldDescriptor field)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clearField(Descriptors.FieldDescriptor field)
Overrides
clearItems()
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clearItems()
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
clearNextPageToken()
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clearNextPageToken()
[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.
optional string next_page_token = 79797525;
clearOneof(Descriptors.OneofDescriptor oneof)
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Overrides
clearWarning()
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clearWarning()
[Output Only] Informational warning message.
optional .google.cloud.compute.v1.Warning warning = 50704284;
clone()
public InstanceGroupManagersListPerInstanceConfigsResp.Builder clone()
Overrides
getDefaultInstanceForType()
public InstanceGroupManagersListPerInstanceConfigsResp getDefaultInstanceForType()
getDescriptorForType()
public Descriptors.Descriptor getDescriptorForType()
Overrides
getItems(int index)
public PerInstanceConfig getItems(int index)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
| Parameter |
| Name |
Description |
index |
int
|
getItemsBuilder(int index)
public PerInstanceConfig.Builder getItemsBuilder(int index)
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
| Parameter |
| Name |
Description |
index |
int
|
getItemsBuilderList()
public List<PerInstanceConfig.Builder> getItemsBuilderList()
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
getItemsCount()
public int getItemsCount()
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
| Returns |
| Type |
Description |
int |
|
getItemsList()
public List<PerInstanceConfig> getItemsList()
[Output Only] The list of PerInstanceConfig.
repeated .google.cloud.compute.v1.PerInstanceConfig items = 100526016;
getItemsOrBuilder(int index)